Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrto15.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrto15.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrto15.F90	(revision 2056)
@@ -30,3 +30,4 @@
 ! SELFREF : REAL 
 !     -----------------------------------------------------------------
+!$OMP THREADPRIVATE(fracrefao,kao,selfrefo)
 END MODULE YOERRTO15
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrto16.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrto16.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrto16.F90	(revision 2056)
@@ -30,3 +30,4 @@
 ! SELFREF : REAL     
 !     -----------------------------------------------------------------
+!$OMP THREADPRIVATE(fracrefao,kao,selfrefo)
 END MODULE YOERRTO16
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrto2.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrto2.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrto2.F90	(revision 2056)
@@ -35,3 +35,4 @@
 ! FORREFO : REAL  
 !     -----------------------------------------------------------------
+!$OMP THREADPRIVATE(forrefo,fracrefao,fracrefbo,kao,kbo,selfrefo)
 END MODULE YOERRTO2
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrto3.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrto3.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrto3.F90	(revision 2056)
@@ -39,3 +39,4 @@
 ! SELFREFO: REAL     
 !     -----------------------------------------------------------------
+!$OMP THREADPRIVATE(absn2oao,absn2obo,forrefo,fracrefao,fracrefbo,kao,kbo,selfrefo)
 END MODULE YOERRTO3
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrto4.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrto4.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrto4.F90	(revision 2056)
@@ -32,3 +32,4 @@
 ! SELFREF : REAL     
 !     -----------------------------------------------------------------
+!$OMP THREADPRIVATE(fracrefao,fracrefbo,kao,kbo,selfrefo)
 END MODULE YOERRTO4
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrto5.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrto5.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrto5.F90	(revision 2056)
@@ -35,3 +35,4 @@
 ! SELFREF : REAL     
 !     -----------------------------------------------------------------
+!$OMP THREADPRIVATE(ccl4o,fracrefao,fracrefbo,kao,kbo,selfrefo)
 END MODULE YOERRTO5
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrto6.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrto6.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrto6.F90	(revision 2056)
@@ -34,3 +34,4 @@
 ! SELFREF : REAL     
 !     -----------------------------------------------------------------
+!$OMP THREADPRIVATE(absco2o,cfc11adjo,cfc12o,fracrefao,kao,selfrefo)
 END MODULE YOERRTO6
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrto7.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrto7.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrto7.F90	(revision 2056)
@@ -35,3 +35,4 @@
 ! SELFREF : REAL  
 !     -----------------------------------------------------------------
+!$OMP THREADPRIVATE(absco2o,fracrefao,fracrefbo,kao,kbo,selfrefo)
 END MODULE YOERRTO7
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrto8.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrto8.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrto8.F90	(revision 2056)
@@ -46,3 +46,4 @@
 ! SELFREF : REAL     
 !     -----------------------------------------------------------------
+!$OMP THREADPRIVATE(absco2ao,absco2bo,absn2oao,absn2obo,cfc12o,cfc22adjo,fracrefao,fracrefbo,kao,kbo,selfrefo)
 END MODULE YOERRTO8
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrto9.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrto9.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrto9.F90	(revision 2056)
@@ -42,3 +42,4 @@
 ! SELFREF : REAL     
 !     -----------------------------------------------------------------
+!$OMP THREADPRIVATE(absn2oo,fracrefao,fracrefbo,kao,kbo,selfrefo)
 END MODULE YOERRTO9
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrtrf.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrtrf.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrtrf.F90	(revision 2056)
@@ -26,3 +26,4 @@
 ! TREF   : REAL
 !     -----------------------------------------------------------------
+!$OMP THREADPRIVATE(pref,preflog,tref)
 END MODULE YOERRTRF
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrtrwt.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrtrwt.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrtrwt.F90	(revision 2056)
@@ -32,3 +32,4 @@
 ! RWT    :  REAL   : 
 !    -------------------------------------------------------------------
+!$OMP THREADPRIVATE(frefa,frefadf,frefb,frefbdf,rwgt)
 END MODULE YOERRTRWT
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrtwn.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrtwn.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrtwn.F90	(revision 2056)
@@ -36,3 +36,4 @@
 ! TOTPLK16: REAL    :
 !     -----------------------------------------------------------------
+!$OMP THREADPRIVATE(delwave,ng,nspa,nspb,totplk16,totplnk,wavenum1,wavenum2)
 END MODULE YOERRTWN
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yoesat.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yoesat.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yoesat.F90	(revision 2056)
@@ -53,3 +53,4 @@
 ! RGEAS : REAL    : LATITUDE OF EAST  LIMIT OF FIELD OF VIEW
 !     -----------------------------------------------------------------
+!$OMP THREADPRIVATE(lgeose,lgeosw,lgms,lindsa,lmto,lnoaa,lnoab,lnoac,lnoad,ngeo,npolo,rgalt,rgeas,rgnad,rgnor,rgsou,rgwst)
 END MODULE YOESAT
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yoesrtaer.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yoesrtaer.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yoesrtaer.F90	(revision 2056)
@@ -32,4 +32,5 @@
 
 !     -----------------------------------------------------------------
+!$OMP THREADPRIVATE(rsrasya,rsrpiza,rsrtaua)
 END MODULE YOESRTAER
 
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yoesrtcop.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yoesrtcop.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yoesrtcop.F90	(revision 2056)
@@ -127,4 +127,10 @@
 
 !     -----------------------------------------------------------------
+!$OMP THREADPRIVATE(rsaswa,rsaswb,rsaswc,rsaswd,rsaswe,rsaswf,rsecia,rsecib)
+!$OMP THREADPRIVATE(rsecic,rsecid,rsecie,rsecif,rsfla0,rsfla1,rsflb0,rsflb1)
+!$OMP THREADPRIVATE(rsflb2,rsflb3,rsflc0,rsflc1,rsflc2,rsflc3,rsfld0,rsfld1)
+!$OMP THREADPRIVATE(rsfld2,rsfld3,rsfua0,rsfua1,rsfub0,rsfub1,rsfub2,rsfub3)
+!$OMP THREADPRIVATE(rsfuc0,rsfuc1,rsfuc2,rsfuc3,rsssia,rsssie,rsssif,rsssig)
+!$OMP THREADPRIVATE(rsssih,rsssik,rsyfwa,rsyfwb,rsyfwc,rsyfwd,rsyfwe,rsyfwf)
 END MODULE YOESRTCOP
 
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yoesrtop.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yoesrtop.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yoesrtop.F90	(revision 2056)
@@ -40,4 +40,7 @@
 !                    FU, 1996, J. CLIM., 9, 
 !     -----------------------------------------------------------------
+!$OMP THREADPRIVATE(abscld1,abscoice,abscoliq,asyice2,asyice3,asyliq1,extcoice)
+!$OMP THREADPRIVATE(extcoliq,extice2,extice3,extliq1,fdelta,fdlice3,forwice,forwliq)
+!$OMP THREADPRIVATE(gice,gliq,ssacoice,ssacoliq,ssaice2,ssaice3,ssaliq1)
 END MODULE YOESRTOP
 
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yoesrtwn.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yoesrtwn.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yoesrtwn.F90	(revision 2056)
@@ -61,4 +61,6 @@
 !  RWGT   : REAL    : 
 !     -----------------------------------------------------------------
+!$OMP THREADPRIVATE(delwave,ng,ngbsw,ngc,ngm,ngn,ngs,nmpsrtm,nspa,nspb)
+!$OMP THREADPRIVATE(pref,preflog,rwgt,tref,wavenum1,wavenum2,wt,wtsm)
 END MODULE YOESRTWN
 
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yoesw.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yoesw.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yoesw.F90	(revision 2056)
@@ -264,3 +264,15 @@
 ! NMPSRTM: INTEGER  : Indices for mapping SW[1:6] albedo into SRTM[1:14]  
 !     -----------------------------------------------------------------
+!$OMP THREADPRIVATE(apad,bpad,d,nexpo3,nmpsrtm,ntyps,radjust,raer,raswca)
+!$OMP THREADPRIVATE(raswcb,raswcc,raswcd,raswce,raswcf,rcga,rebcua,rebcub)
+!$OMP THREADPRIVATE(rebcuc,rebcud,rebcue,rebcuf,rebcug,rebcuh,rebcui,rebcuj)
+!$OMP THREADPRIVATE(reffia,reffib,rexpo3,rflaa0,rflaa1,rflbb0,rflbb1,rflbb2)
+!$OMP THREADPRIVATE(rflbb3,rflcc0,rflcc1,rflcc2,rflcc3,rfldd0,rfldd1,rfldd2)
+!$OMP THREADPRIVATE(rfldd3,rfuaa0,rfuaa1,rfubb0,rfubb1,rfubb2,rfubb3,rfucc0)
+!$OMP THREADPRIVATE(rfucc1,rfucc2,rfucc3,rfueta,rfuetb,rfuetc,rfulio,rhsavi)
+!$OMP THREADPRIVATE(rhsra,rhsrb,rhsrc,rhsrd,rhsre,rhsrf,rhsrta,rhsrtb,rlilia)
+!$OMP THREADPRIVATE(rlilib,rpdh1,rpdu1,rpiza,rpnh,rpnu,rrasy,rray,rriw,rroma)
+!$OMP THREADPRIVATE(rromb,rsusha,rsushc,rsushd,rsushe,rsushf,rsushfa,rsushg)
+!$OMP THREADPRIVATE(rsushh,rsushk,rswce,rswcp,rtaua,rtdh2o,rtdumg,rth2o,rtiw)
+!$OMP THREADPRIVATE(rtumg,rtweight,rweight,rweigs,rweigv,ryfwca,ryfwcb,ryfwcc,ryfwcd,ryfwce,ryfwcf)
 END MODULE YOESW
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yoethf.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yoethf.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yoethf.F90	(revision 2056)
@@ -60,3 +60,6 @@
 
 !       ----------------------------------------------------------------
+!$OMP THREADPRIVATE(r2es,r3ies,r3les,r4ies,r4les,r5alscp,r5alvcp,r5ies,r5les)
+!$OMP THREADPRIVATE(ralfdcp,ralsdcp,ralvdcp,rhoh2o,rkoop1,rkoop2,rtber,rtbercu)
+!$OMP THREADPRIVATE(rtice,rticecu,rtwat,rtwat_rtice_r,rtwat_rticecu_r,rvtmp2)
 END MODULE YOETHF
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yoevdf.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yoevdf.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yoevdf.F90	(revision 2056)
@@ -42,3 +42,4 @@
 !     *RPARSRF*   REAL     *DEPTH OF SURFACE LAYER AS FRACTION OF PBL-H 
 !     ------------------------------------------------------------------
+!$OMP THREADPRIVATE(nvtypes,rentr,repdu2,rkap,rlam,rpar,rpar1,rparsrf,rvdifts)
 END MODULE YOEVDF
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yoewcou.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yoewcou.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yoewcou.F90	(revision 2056)
@@ -112,3 +112,5 @@
 
 !     ------------------------------------------------------------------
+!$OMP THREADPRIVATE(cbegdat,lwcou,lwcou2w,lwcounorms,lwvin_mask_not_set,lwvin_uninitialised,mwvin_recvtot)
+!$OMP THREADPRIVATE(mwvin_sendtot,ndurat,nlat1w,nlatw,nlon1w,nlonw,nnorxw,nresum,nstpw,rdegrew,rnortw,rsoutw)
 END MODULE YOEWCOU
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yom_phys_grid.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yom_phys_grid.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yom_phys_grid.F90	(revision 2056)
@@ -110,3 +110,5 @@
 TYPE(TYPE_DYN_POINT),ALLOCATABLE :: YDYNPOI(:)
  
+!$OMP THREADPRIVATE(dyn_grid,dyn_sl,phys_grid,phys_sl)
+!$OMP THREADPRIVATE(ydynpoi,yphypoi)
 END MODULE YOM_PHYS_GRID
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yom_ygfl.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yom_ygfl.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yom_ygfl.F90	(revision 2056)
@@ -121,3 +121,9 @@
 
 !------------------------------------------------------------------
+!$OMP THREADPRIVATE(laerosfc,lghgsfc,lsf6sfc,nactaero,naero,ngfl_ext,ngfl_ezdiag,ngfl_forc,nghg,ngrg)
+!$OMP THREADPRIVATE(ntrac,ya,ya_nl,yaero,yaero_nl,ycpf,ycpf_nl,ycvgq,ycvgq_nl,ycvv,ycvv_nl,ydal,ydal_nl)
+!$OMP THREADPRIVATE(ydom,ydom_nl,yext,yext_nl,yezdiag,yezdiag_nl,yforc,yforc_nl,yg,yg_nl,ygfl,ygflc,yghg)
+!$OMP THREADPRIVATE(yghg_nl,ygrg,ygrg_nl,yi,yi_nl,yl,yl_nl,yo3,yo3_nl,yq,yq_nl,yqva,yqva_nl,yr,yr_nl,ys)
+!$OMP THREADPRIVATE(ys_nl,ysdsat,ysdsat_nl,yspf,yspf_nl,ysrc,ysrc_nl,ytke,ytke_nl,ytrac,ytrac_nl,yual)
+!$OMP THREADPRIVATE(yual_nl,yuen,yuen_nl,yunebh,yunebh_nl,yuom,yuom_nl)
 END MODULE YOM_YGFL
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yomaer15.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yomaer15.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yomaer15.F90	(revision 2056)
@@ -32,3 +32,4 @@
 REAL(KIND=JPRB) :: RAER15 (5,6)
 
+!$OMP THREADPRIVATE(raer15,rcga15,rpiza15,taua15)
 END MODULE YOMAER15
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yomaerd15.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yomaerd15.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yomaerd15.F90	(revision 2056)
@@ -70,3 +70,6 @@
 !     *RCAEROS15*  REAL      *BACKGROUND VALUE IN ABSENCE OF AEROSOLS.
 !     ------------------------------------------------------------------
+!$OMP THREADPRIVATE(raedc15,raeds15,raelc15,raels15,raesc15,raess15,raeuc15,raeus15,rcaeadk15,rcaeadm15)
+!$OMP THREADPRIVATE(rcaeopd15,rcaeopf15,rcaeopl15,rcaeops15,rcaeopu15,rcaeros15,rcstbga15,rctrbga15,rctrpt15,rcvobga15)
+!$OMP THREADPRIVATE(cvdaed15,cvdaef15,cvdael15,cvdaes15,cvdaeu15)
 END MODULE YOMAERD15
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yomarar.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yomarar.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yomarar.F90	(revision 2056)
@@ -98,3 +98,9 @@
 
 !     ------------------------------------------------------------------
+!$OMP THREADPRIVATE(larobu_enable,ldiagwmax,losigmas,losubg_aucv,losubg_cond,lowarm,lsquall)
+!$OMP THREADPRIVATE(macprg,macprr,macprs,malbdir,malbsca,mfrthds,mgz0,mgz0h,minprg,minprr,minprs)
+!$OMP THREADPRIVATE(mpabsm,mpsurf,mqvm,mrain,mrhodref,msfrv,msfsv,msfth,msfu,msfv,msnow,mswdif)
+!$OMP THREADPRIVATE(mswdir,mtm,mum,mvemis,mvm,mvqs,mvts,mzz,ndiagfr,ndiagwmax,ndtchem,ngpar)
+!$OMP THREADPRIVATE(nprintfr,nptp,nrefroi1,nrefroi2,nrr,nrri,nrrl,nsplitr,nsv,nswb_mnh,vsquall)
+!$OMP THREADPRIVATE(nbuproc,njbudg1,njbudg2,xsw_bands)
 END MODULE YOMARAR
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yomarphy.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yomarphy.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yomarphy.F90	(revision 2056)
@@ -41,4 +41,5 @@
 CHARACTER(LEN=1) :: CCOUPLING
 !    -------------------------------------------------------------------
+!$OMP THREADPRIVATE(ccoupling,lbuflux,lkfbconv,lkfbd,lkfbs,lmicro,lmpa,lmse,lorilam,lrdust,lturb,lusechem)
 END MODULE YOMARPHY
 
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yomcape.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yomcape.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yomcape.F90	(revision 2056)
@@ -44,3 +44,4 @@
 
 !     ------------------------------------------------------------------
+!$OMP THREADPRIVATE(gcapepsd,gcaperet,ncapeiter,netapes)
 END MODULE YOMCAPE
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yomcli.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yomcli.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yomcli.F90	(revision 2056)
@@ -107,3 +107,8 @@
 REAL(KIND=JPRB) :: SZZ0D
 
+!$OMP THREADPRIVATE(edlat,edlon,elatne,elatsw,elonne,elonsw,lglobe,lieee,ndatx,ndaty)
+!$OMP THREADPRIVATE(nglobx,ngloby,npint,nslice,ntpdes,ntpgla,ntplac,ntpmer,salbb,salbd)
+!$OMP THREADPRIVATE(salbg,salbm,salbn,salbx,sargd,sargn,sargx,sdepd,sdepn,sdepx,semib)
+!$OMP THREADPRIVATE(semid,semig,semim,semin,semix,sfcz0,smanq,smask,srsmd,srsmn,srsmx)
+!$OMP THREADPRIVATE(ssabd,ssabn,ssabx,sther,str,sveg,swr,szz0b,szz0d,szz0m,szz0n,szz0u)
 END MODULE YOMCLI
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yomclop15.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yomclop15.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yomclop15.F90	(revision 2056)
@@ -67,3 +67,5 @@
 ! RRIW15   :  REAL   :  TRANSITION RANGE
 !     -----------------------------------------------------------------
+!$OMP THREADPRIVATE(rebcua15,rebcub15,rebcuc15,rebcud15,rebcue15,rebcuf15,rebcug15,rebcuh15)
+!$OMP THREADPRIVATE(reffia15,reffib15,reffwia15,rriw15,rtiw15,ryfwca15,ryfwcb15,ryfwcc15,ryfwcd15,ryfwce15,ryfwcf15)
 END MODULE YOMCLOP15
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yomcoaphy.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yomcoaphy.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yomcoaphy.F90	(revision 2056)
@@ -21,3 +21,4 @@
 CHARACTER (LEN = 256) ::   CPTABLEDIR
 
+!$OMP THREADPRIVATE(cptabledir,cptablefil,nphyint,phys_gppbuf)
 END MODULE YOMCOAPHY
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yomcst.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yomcst.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yomcst.F90	(revision 2056)
@@ -79,3 +79,7 @@
 
 !    ------------------------------------------------------------------
+!$OMP THREADPRIVATE(r,r1sa,ra,ralpd,ralps,ralpw,ratm,rbetd,rbets,rbetw,rclum,rcpd,rcpv,rcs,rcvd,rcvv,rcw)
+!$OMP THREADPRIVATE(rd,rday,rdt,rea,repsm,restt,retv,rg,rgamd,rgams,rgamw,rhpla,ri0,rkappa,rkbol,rlmlt)
+!$OMP THREADPRIVATE(rlstt,rlszer,rlvtt,rlvzer,rmch4,rmco,rmco2,rmd,rmhcho,rmn2o,rmno2,rmo3,rmra,rmsf6)
+!$OMP THREADPRIVATE(rmso2,rmv,rnavo,romega,rpi,rsiday,rsigma,rsiyea,rtt,rv)
 END MODULE YOMCST
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yomct0.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yomct0.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yomct0.F90	(revision 2056)
@@ -467,3 +467,16 @@
 LOGICAL ::  LSFORC
 !     ------------------------------------------------------------------
+!$OMP THREADPRIVATE(cfclass,cfdirlst,cfpncf,cndispp,cnmexp,cnppath,ctype,l_screen_call,l_split_screen,lallopr,lalltc)
+!$OMP THREADPRIVATE(laprxpk,larome,larpegef,larpegef_rdgp_init,larpegef_rdgp_trajbg,larpegef_rdgp_trajhr)
+!$OMP THREADPRIVATE(larpegef_trajbg,larpegef_trajhr,lbackg,lcanari,lcasig,lelam,lfbdap,lfdbop,lfpart2,lfpos)
+!$OMP THREADPRIVATE(lgrbop,lguess,lifsmin,lifstraj,lminim,lmpdiag,lmpoff,lnf,lnhdyn,lnobgon,lobs,lobsc1,lobsref)
+!$OMP THREADPRIVATE(loldpp,lopdis,loutput,lpc_full,lpc_nesc,lpc_old,lrefgen,lrefout,lregeta,lretcfou,lrfoutcnorm)
+!$OMP THREADPRIVATE(lrfric,lrgptcnorm,lrough,lrplane,lrubc,lscmec,lscreen,lscreen_openmp,lsfcflx,lsforc,lsimob)
+!$OMP THREADPRIVATE(lsitric,lslag,lsmssig,lsprt,ltenc,ltwotl,lvercor,lwrtcfou,n2dini,n3dini,n_regions_ew,n_regions_ns)
+!$OMP THREADPRIVATE(ncntvar,nconf,ncycle,ndhfdts,ndhfgts,ndhfzts,ndhpts,nfrco,nfrcorm,nfrdhfd,nfrdhfg,nfrdhfz,nfrdhp)
+!$OMP THREADPRIVATE(nfrgdi,nfrhis,nfrisp,nfrmasscon,nfrpos,nfrsdi,ngdits,nhists,ninterpincr,ninterpincrlimit)
+!$OMP THREADPRIVATE(ninterpincrorder,ninterptraj,ninterptrajlimit,ninterptrajorder,nmasscons,noutput,npisps,nposts)
+!$OMP THREADPRIVATE(nprgpew,nprgpns,nprintlev,nproc,nprtrm,nprtrn,nprtrns,nprtrv,nprtrw,nquad,nsdits,nsppr,nstart)
+!$OMP THREADPRIVATE(nstepini,nstop,ntasks,rextlhf,rextshf,rextz0h,rextz0m,rtenc)
+!$OMP THREADPRIVATE(n_regions)
 END MODULE YOMCT0
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yomct0b.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yomct0b.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yomct0b.F90	(revision 2056)
@@ -16,3 +16,4 @@
 
 !     ------------------------------------------------------------------
+!$OMP THREADPRIVATE(lecmwf)
 END MODULE YOMCT0B
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yomct3.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yomct3.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yomct3.F90	(revision 2056)
@@ -22,3 +22,4 @@
 
 !     ------------------------------------------------------------------
+!$OMP THREADPRIVATE(lgpqinsp,lrecall_suhdf_in_cnt4,lspc_from_di,nstep)
 END MODULE YOMCT3
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yomcver.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yomcver.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yomcver.F90	(revision 2056)
@@ -46,3 +46,5 @@
 ! -----------------------------------------------------------------------------
 
+!$OMP THREADPRIVATE(lsvtsm,lvertfe,lvsplip,nvsch)
+!$OMP THREADPRIVATE(rderi,rfaa,rfbb,rfcc,rfdd,rinte,rvspc,rvsptri,vrdetar)
 END MODULE YOMCVER
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yomdim.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yomdim.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yomdim.F90	(revision 2056)
@@ -228,3 +228,13 @@
 
 !     ------------------------------------------------------------------
+!$OMP THREADPRIVATE(lader,loptproma,lspt,luvder,lvor,ncmax,ncpec,ncpec2,ndgenfph)
+!$OMP THREADPRIVATE(ndgeng,ndgenh,ndgenl,ndglg,ndgll,ndgnh,ndgsafph,ndgsag,ndgsah)
+!$OMP THREADPRIVATE(ndgsal,ndgsur,ndgung,ndgunl,ndguxg,ndguxl,ndlon,ndlsm,ndlsur)
+!$OMP THREADPRIVATE(ndlung,ndluxg,ndsur1,nf3d,nfaux,nfc2d,nfd2d,nfgpnh,nflen,nflevg)
+!$OMP THREADPRIVATE(nflevl,nflevlmx,nflsa,nflsul,nflsur,nfppye,nfppyx,nfther,ngpblks)
+!$OMP THREADPRIVATE(nmsmax,nmtcmax,nppm,nproma,npromb,npromc,nprome,npromm,npromnh)
+!$OMP THREADPRIVATE(npromnh_gwadv,npromp,npromv,npromvc,nrlevx,ns1d,ns2d,ns3d,nsaux)
+!$OMP THREADPRIVATE(nsefre,nsmax,nsmin,nspec,nspec2,nspec2g,nspec2mx,nspecg,ntcmax,ntmax)
+!$OMP THREADPRIVATE(ntpec2,numcp,nump,numtp,numxp,nundefld,nvarmax,nxmax,nxpec,nxpecg)
+!$OMP THREADPRIVATE(ndlunl,ndluxl)
 END MODULE YOMDIM
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yomdphy.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yomdphy.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yomdphy.F90	(revision 2056)
@@ -68,3 +68,5 @@
 LOGICAL            :: LTPROF
 !     ------------------------------------------------------------------
+!$OMP THREADPRIVATE(ltprof,ncextr,nchac,nchin,ncsi,ncsnec,ncxp,nloa,nloe,nsira,ntiles,ntoz1d,ntoz2d,ntoz3d,ntsl,ntssg)
+!$OMP THREADPRIVATE(ntvg,nvclis,nvextr,nvextrdyn,nvtend,nvxp,nvxp2,nvxtr2)
 END MODULE YOMDPHY
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yomdyn.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yomdyn.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yomdyn.F90	(revision 2056)
@@ -563,3 +563,18 @@
 
 !     ------------------------------------------------------------------
+!$OMP THREADPRIVATE(alphint,betadt,flccri,frandh,gammax,gammax0,hdirdiv,hdiro3,hdirpd,hdirq,hdirsp,hdirt)
+!$OMP THREADPRIVATE(hdirvd,hdirvor,hdsrdiv,hdsrvd,hdsrvor,hdtime_strhd,hrdirdiv,hrdiro3,hrdirpd,hrdirq)
+!$OMP THREADPRIVATE(hrdirsp,hrdirt,hrdirvd,hrdirvor,hrdsrdiv,hrdsrvd,hrdsrvor,l2tlff,ladvf,ladvfw,lchdif)
+!$OMP THREADPRIVATE(ldry_ecmwf,leltra,lfrein,lfreinf,limpf,lnewhd,lpc_xidt,lqmhp,lqmhpd,lqmht,lqmhvd,lqmhw)
+!$OMP THREADPRIVATE(lqmp,lqmpd,lqmt,lqmvd,lqmw,lrephd,lrhdi_lastiterpc,lrspline_p,lrspline_spd,lrspline_svd)
+!$OMP THREADPRIVATE(lrspline_t,lrspline_w,lsettls,lsidg,lsl_unlphy_f,lstrhd,lverave_hluv,lverflt,ncomp_cvgq)
+!$OMP THREADPRIVATE(ncurrent_iter,ndlnpr,nitmp,nlevvf,nrubc,nsiter,nspdlag,nsrefdh,nsvdlag,ntlag,nvlag,nwlag)
+!$OMP THREADPRIVATE(rcmslp0,rdampdiv,rdampdivs,rdamphds,rdampo3,rdamppd,rdampq,rdampsp,rdampt,rdampvd,rdampvds)
+!$OMP THREADPRIVATE(rdampvor,rdampvors,refgeo,reps1,reps2,repsm1,repsm2,repsp1,repsvfdi,repsvfvo,rexpdh,rexpdhs)
+!$OMP THREADPRIVATE(rfrein,rhydr0,rrdxtau,rtemrb,rw2tlff,sdred,sipr,siprub,sirprg,sirprn,sitime,sitr,sitra,sitrub)
+!$OMP THREADPRIVATE(slevdh,slevdh2,slevdh3,slevdhs,slevdhs2,slhda0,slhdb,slhdkmax,tdt,tstep,vcak,vcpr,vctr,vesl)
+!$OMP THREADPRIVATE(vetaon,vetaox,vmax1,vmax2,vnorm,xidt)
+!$OMP THREADPRIVATE(gmr,rcordif,rcordih,rcordit,rdhi,rdhs,rdidiv,rdigfl,rdipd,rdisp,rditg,rdivd,rdivor,rdsdiv)
+!$OMP THREADPRIVATE(rdsvd,rdsvor,rkrf,s2eta,scgmap,sialph,sib,sidelp,sidphi,sifac,sifaci,siheg,siheg2,sihegb)
+!$OMP THREADPRIVATE(sihegb2,silnpr,simi,simo,sirdel,sirub,sitlaf,sitlah,sitrica,sitricb,sitricc,sivp,slhda,slhdd0)
 END MODULE YOMDYN
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yomfa.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yomfa.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yomfa.F90	(revision 2056)
@@ -69,3 +69,7 @@
 TYPE(FAD) :: YFAQVA  ! Total humidity amplitude variation of Q+L+I
 !     ------------------------------------------------------------------
+!$OMP THREADPRIVATE(nbitcs,nbitpg,npulap,nstron,nvgrib,yfaclf,yfacpf,yfacvgq,yfacvv,yfadal,yfadom,yfafsp1)
+!$OMP THREADPRIVATE(yfafsp2,yfafsp3,yfafsp4,yfafsp5,yfag,yfai,yfakhi,yfal,yfao3,yfaorog,yfapd,yfapsi,yfaq)
+!$OMP THREADPRIVATE(yfaqva,yfar,yfas,yfasdsat,yfasp,yfaspf,yfasrc,yfat,yfatke,yfaual,yfauen,yfaugeo)
+!$OMP THREADPRIVATE(yfaunebh,yfauom,yfavd,yfavgeo)
 END MODULE YOMFA
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yomfpc.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yomfpc.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yomfpc.F90	(revision 2056)
@@ -244,3 +244,11 @@
 INTEGER(KIND=JPIM) :: NFPMASK
 !     ------------------------------------------------------------------
+!$OMP THREADPRIVATE(c1fp2df,c1fp3df,c1fp3dfh,c1fp3dfp,c1fp3dfs,c1fp3dft,c1fp3dfv,c1fpcfu,c1fpdom,c1fpphy,c1fpxfu)
+!$OMP THREADPRIVATE(cfp2df,cfp3df,cfp3dfh,cfp3dfp,cfp3dfs,cfp3dft,cfp3dfv,cfpcfu,cfpdir,cfpdom,cfpfmt,cfpiden)
+!$OMP THREADPRIVATE(cfpphy,cfpxfu,fpbl,lasq,lfitp,lfitt,lfitv,lfpcnt,lfplosp,lfpmois,lfpnhpd,lfpnhvd,lfpnhvw)
+!$OMP THREADPRIVATE(lfpq,lfprh100,lfpspec,lmoconvar,ltracefp,mfp2df,mfp2dyn,mfp3dfh,mfp3dfp,mfp3dfs,mfp3dft)
+!$OMP THREADPRIVATE(mfp3dfv,mfp3dyn,mfpphy,nfp2df,nfp3df,nfp3dfh,nfp3dfp,nfp3dfs,nfp3dft,nfp3dfv,nfp3h,nfp3p)
+!$OMP THREADPRIVATE(nfp3pv,nfp3s,nfp3th,nfpcape,nfpcfu,nfpcli,nfpdom,nfpdphy,nfpgrib,nfpincr,nfpindyn,nfpinphy)
+!$OMP THREADPRIVATE(nfplake,nfplnpr,nfpmask,nfpphy,nfpsurfex,nfpxfu,nfpxlev,nrfp3s,rfp3h,rfp3p,rfp3pv,rfp3th)
+!$OMP THREADPRIVATE(rfpcd2,rfpcorr,rfpcsab,rfpvcap,wdxi,wdxo,wsxi,wsxo)
 END MODULE YOMFPC
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yomgc.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yomgc.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yomgc.F90	(revision 2056)
@@ -63,3 +63,6 @@
 
 !      ----------------------------------------------------------------
+
+!$OMP THREADPRIVATE(gaw,geclo,gelam,gelat,gemu,geslo,gm,gnordl,gnordlcl,gnordm,gnordmcl,gnordmcm,gomvrl)
+!$OMP THREADPRIVATE(gomvrm,gsqm2,ngplat,nuniquegp,orog,orogl,orogll,oroglm,orogm,orogmm,rcori,rcoric)
 END MODULE YOMGC
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yomgem.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yomgem.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yomgem.F90	(revision 2056)
@@ -187,3 +187,7 @@
 
 !     ------------------------------------------------------------------
+!$OMP THREADPRIVATE(nbeegp,nbnegp,ngptot,ngptot_cap,ngptotg,ngptotmx,nhtyp,nsttyp,r4jp,rc2m1,rc2p1,rcor0)
+!$OMP THREADPRIVATE(rcor1,rcor2,reflcape,reflkuo,reflrhc,rlocen,rmucen,rnlginc,rstret,teqc,teqh,teqk,toppres,vp00,vrlevx)
+!$OMP THREADPRIVATE(ndglu,nestagp,ngptotl,nloen,nloeng,nmen,nmeng,nmentc,nstagp,ntstagp,nvautf,nvauth,ratath,ratatx)
+!$OMP THREADPRIVATE(rcolon,rindx,rindy,rsilon,vaf,vah,valh,vbf,vbh,vc,vcuico,vcuicoh,vdela,vdelb,vetaf,vetah,vrdetah)
 END MODULE YOMGEM
